Debian Bug report logs - #536776
RM: gcc-3.3 -- RoM; obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Mon, 13 Jul 2009 13:42:04 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#536776; Package ftp.debian.org. (Mon, 13 Jul 2009 13:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 13 Jul 2009 13:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: gcc-3.3
Date: Mon, 13 Jul 2009 09:29:05 -0400
Package: ftp.debian.org

Please remove the gcc-3.3 source and binaries (gcc-3.3-base, libstdc++5); The
compiler isn't built anymore, and libstdc++5 isn't used as a dependency anymore.




Changed Bug title to `RM: gcc-3.3 -- RoM; obsolete' from `RM: gcc-3.3'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Mon, 13 Jul 2009 21:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#536776; Package ftp.debian.org. (Mon, 13 Jul 2009 22:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 13 Jul 2009 22:09:03 GMT) Full text and rfc822 format available.

Message #12 received at 536776@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Matthias Klose <doko@debian.org>, 536776@bugs.debian.org
Subject: Re: Bug#536776: RM: gcc-3.3
Date: Tue, 14 Jul 2009 00:06:09 +0200
On Mon, Jul 13, 2009 at 09:29:05AM -0400, Matthias Klose wrote:
> Please remove the gcc-3.3 source and binaries (gcc-3.3-base, libstdc++5); The
> compiler isn't built anymore, and libstdc++5 isn't used as a dependency anymore.

In Debian, no, in the Debian archive, yes:

# Broken Depends:
atokx2/contrib: atokx2 [i386]
libtext-chasen-perl: libtext-chasen-perl [hurd-i386]
pretzel: pretzel [hurd-i386]
snes9express/contrib: snes9express [powerpc]
vmware-package/contrib: vmware-package [i386]
wink/non-free: wink [i386]

# Broken Build-Depends:
wink/non-free: libstdc++5

The hurd ones and snes9express are just out-of-date binaries, and vmware-package has
already enough RC bugs, but atokx2 and wink should have filed RC bugs against them first.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 16 Aug 2009 23:15:47 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sun, 16 Aug 2009 23:15:47 GMT) Full text and rfc822 format available.

Message #17 received at 536776-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 536776-close@bugs.debian.org
Cc: gcc-3.3@packages.debian.org, gcc-3.3@packages.qa.debian.org
Subject: Bug#536776: fixed
Date: Sun, 16 Aug 2009 22:58:12 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   gcc-3.3 | 1:3.3.6ds1-18 | source
libstdc++5 | 1:3.3.6-18 | amd64, i386, powerpc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536776@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/536776

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Sep 2009 07:40:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:29:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.